#global _internal_version                 5194ced
%global gtk3_version                      3.10.0
%global startup_notification_version      0.5
%global gtk_doc_version                   1.9
%global po_package                        cinnamon-desktop-3.0

Summary: Shared code among cinnamon-session, nemo, etc
Name:    cinnamon-desktop
Version: 2.4.2
Release: 2%{?dist}
License: GPLv2+ and LGPLv2+ add MIT
URL:     http://cinnamon.linuxmint.com
# To generate tarball
# wget https://github.com/linuxmint/cinnamon-desktop/tarball/%%{_internal_version} -O cinnamon-desktop-%%{version}.git%%{_internal_version}.tar.gz
#Source0: http://leigh123linux.fedorapeople.org/pub/cinnamon-desktop/source/cinnamon-desktop-%%{version}.git%%{_internal_version}.tar.gz
Source0: http://leigh123linux.fedorapeople.org/pub/cinnamon-desktop/source/cinnamon-desktop-%{version}.tar.gz
Source1: cinnamon-mimeapps.list

Patch0:   set_font_defaults.patch

Requires: redhat-menus

# Make sure to update libgnome schema when changing this
Requires: system-backgrounds-gnome

# Make sure that gnome-themes-standard gets pulled in for upgrades
Requires: gnome-themes-standard

BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libstartup-notification-1.0) >= %{startup_notification_version}
BuildRequires: pkgconfig(xkbfile)
BuildRequires: pkgconfig(xkeyboard-config)
BuildRequires: pkgconfig(gtk-doc) >= %{gtk_doc_version}
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: itstool

%description

The cinnamon-desktop package contains an internal library
(libcinnamondesktop) used to implement some portions of the CINNAMON
desktop, and also some data files and other shared components of the
CINNAMON user environment.

%package devel
Summary:  Libraries and headers for libcinnamon-desktop
License:  LGPLv2+
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

Requires: gtk3-devel >= %{gtk3_version}
Requires: glib2-devel >= %{glib2_version}
Requires: startup-notification-devel >= %{startup_notification_version}

%description devel
Libraries and header files for the CINNAMON-internal private library
libcinnamondesktop.

%prep
%setup -q
%patch0 -p1
NOCONFIGURE=1 ./autogen.sh

%build
%configure --with-pnp-ids-path="/usr/share/hwdata/pnp.ids"
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make V=1 %{?_smp_mflags}

%install
%{make_install}

# stuff we don't want
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%if 0%{?fedora} > 21
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/cinnamon-mimeapps.list
%endif

%find_lang %{po_package} --all-name --with-gnome

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{po_package}.lang
%doc AUTHORS COPYING COPYING.LIB README
%{_bindir}/cinnamon-desktop-migrate-mediakeys
%{_datadir}/glib-2.0/schemas/org.cinnamon.*.xml
%if 0%{?fedora} > 21
%{_datadir}/applications/cinnamon-mimeapps.list
%endif
%{_libexecdir}/cinnamon-rr-debug
# LGPL
%{_libdir}/libcinnamon-desktop*.so.*
%{_libdir}/girepository-1.0/C*-3.0.typelib

%files devel
%{_libdir}/libcinnamon-desktop.so
%{_libdir}/pkgconfig/cinnamon-desktop.pc
%{_includedir}/cinnamon-desktop/
%{_datadir}/gir-1.0/C*-3.0.gir

%changelog
* Fri Apr 24 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.4.2-2
- add cinnamon-mimeapps.list for F22

* Sun Nov 23 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.2-1
- update to 2.4.2

* Wed Nov 19 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-3
- set default screensaver fonts

* Wed Nov 12 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-2
- patch cinnamon-desktop-migrate-mediakeys

* Sat Nov 08 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-1
- update to 2.4.1

* Fri Oct 31 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-1
- update to 2.4.0

* Fri Oct 10 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-0.2.git5194ced
- update to latest git

* Tue Sep 30 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-0.1.gitf4ee205
- update to latest git

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 2.2.3-3
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 20 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.3-1
- update to 2.2.3

* Sun May 11 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.2-1
- update to 2.2.2

* Sat May 03 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.1-1
- update to 2.2.1

* Sat Apr 12 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.0-1
- update to 2.2.0

* Mon Dec 02 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.4-1
- update to 2.0.4

* Sun Nov 03 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.3-1
- update to 2.0.3

* Thu Oct 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-1
- update to 2.0.2

* Wed Oct 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-1
- update to 2.0.1

* Wed Oct 02 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-1
- update to 2.0.0

* Mon Sep 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-1
- update to 1.9.1

* Wed Sep 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.4.git37ca83b
- update to latest git

* Sun Aug 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.3.git22ab5c0
- update to latest git
- change to linuxmint source

* Sat Aug 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.2.gita631087
- update to latest git

* Sat Aug 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.1.gitbf41f5f
- initial build


